Last Comment Bug 573921 - Update browser_pluginnotification.js to work with Addon Manager in tab.
: Update browser_pluginnotification.js to work with Addon Manager in tab.
Status: RESOLVED FIXED
[sm-perma][cc-orange]
: intermittent-failure, regression
Product: SeaMonkey
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Robert Kaiser
:
Mentors:
Depends on:
Blocks: SmTestFail 572049
  Show dependency treegraph
 
Reported: 2010-06-23 01:23 PDT by Justin Wood (:Callek)
Modified: 2012-11-26 02:57 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix this bug by porting the Firefox changes and force open in tab (6.14 KB, patch)
2010-07-22 08:05 PDT, Robert Kaiser
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Justin Wood (:Callek) 2010-06-23 01:23:09 PDT
First failure is from Bug 572049, second failure is a todo on our end (I'll mark it as such in test). but will be done for a3

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/browser/test/browser_pluginnotification.js | Should have opened the correct window - Got chrome://navigator/content/navigator.xul, expected chrome://mozapps/content/extensions/extensions.xul
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/browser/test/browser_pluginnotification.js | Should have displayed the plugins pane - Got undefined, expected plugins
Comment 1 Justin Wood (:Callek) 2010-06-25 01:26:36 PDT
err sorry for bugspam...

*/suite/browser/... its not this bug.
Comment 2 Justin Wood (:Callek) 2010-06-25 01:26:57 PDT
(In reply to comment #1)
> err sorry for bugspam...
> 
> */suite/browser/... its not this bug.

Ok (too tired;) wrong bug to comment on
Comment 3 Robert Kaiser 2010-07-22 08:05:08 PDT
Created attachment 459438 [details] [diff] [review]
fix this bug by porting the Firefox changes and force open in tab

This patch fixes the bug at least locally for me. We need to set the pref to force opening in a tab (I think we actually should make that the default, but that's for a different bug).

I known Ian has been looking into the same (my fault for not attaching this patch earlier), so requesting review from him.
Comment 4 Ian Neal 2010-07-22 14:04:23 PDT
Comment on attachment 459438 [details] [diff] [review]
fix this bug by porting the Firefox changes and force open in tab

>@@ -18,88 +19,79 @@ function get_test_plugin() {
>   
Nit: remove white space on the line above :)
>   // Find the test plugin
>   for (var i = 0; i < tags.length; i++) {
>     if (tags[i].name == "Test Plug-in")
>       return tags[i];
>   }
> }
>+  //Services.prefs.setIntPref("browser.link.open_newwindow", 3);
Do we need to leave this line in?

>+  //Services.prefs.clearUserPref("browser.link.open_newwindow");
Ditto

r=me with those addressed.
Comment 5 Robert Kaiser 2010-07-22 15:43:59 PDT
Pushed as http://hg.mozilla.org/comm-central/rev/4ae37dbcfb16

I did put a comment in about the prefs setting/clearing being obsoleted by bug 505311 some time when it gets reviews.

Note You need to log in before you can comment on or make changes to this bug.